Subject: RE: [Sip] P- headers vs. requirements in sip change process

From: "Peterson, Jon" <[email-masked]>
Date: Thu, 30 May 2002 17:12:49 -0500

While the purpose of the short-term asserted identity work overlaps with the
purpose of the long-term asserted identity work (both provide a means for
network intermediaries to ascertain and share identity information), I think
their delineation is fairly clear. The short-term work is inextricably tied
to the Trust Domain model and all that implies. Moreover, we are working on
defining (in a separate document) a means of gatewaying between networks
using the short-term approach and the Internet at large (i.e. the long-term
approach) which will throw the distinction into even starker relief. 

The purpose of this restriction in sipchange is, I think, to prevent P-
headers from becoming defacto standards that later chartered work cannot
replace. I would have to contend that the domain of applicability of the
short-term work is so limited that this risk is manageable.

I think the content of the NAI header is 'informational' - it is displayed
to the destination (or not, when privacy is required) as the identity of the
originator of the session. A header that is not 'informational' in this
sense would be, for example, the Via header, which is used directly in
routing message responses, and changes the behavior of nodes that handle it.
At least that's how I read the corresponding passage in sipchange; this is a
"header which merely provides additional information pertinent to a request
or a response".

Jon Peterson
NeuStar, Inc.

> -----Original Message-----
> From: Juha Heinanen [mailto:[email-masked]]
> Sent: Wednesday, May 29, 2002 2:34 PM
> To: Rohan Mahy
> Cc: [email-masked]
> Subject: [Sip] P- headers vs. requirements in sip change process
> 
> 
> Rohan Mahy writes:
> 
>  >    3. No overlap with planned/chartered extensions
>  >    4. Purely informational in nature
> 
> with regards to nai, i don't think the above two apply, since there is
> clearly a generic need to augment sip with a nai style header when the
> user has included anonymous from uri.
> 
> -- juha
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: [email-masked]
Date: Fri, 31 May 2002 09:37:25 +0300

> "header which merely provides additional information pertinent to a request

when a request with nai header hits a sip/pstn gateway, for example, its
contents may very well effect how the message is handled or routed by
the gateway.

also, nai is and in fact MUST be used also within a single trust domain
if the user has specified anonymous from header and the request goes to
a sip/pstn gw..  so the nai header is not just some "nice to know"
thing, but an integral part of the sip specification.

finally we may even need a new error code to signal to the user that
inserts a nai header the case where the user inserted nai identity
doesn't match with the network.

-- juha